Bug 1078996 - [abrt] claws-mail: malloc crash from within _cairo_polygon_intersect(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: malloc crash from within _cairo_polygon_intersect(): claws...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:afd64f1eda6fa7274eba6b8ca28...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-20 17:44 UTC by John L. Ries
Modified: 2015-01-05 07:36 UTC (History)
1 user (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (159.46 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: core_backtrace (34.04 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: dso_list (13.21 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: environ (4.71 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: maps (67.48 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: open_fds (1.10 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details
File: var_log_messages (3.68 KB, text/plain)
2014-03-20 17:44 UTC, John L. Ries
no flags Details

Description John L. Ries 2014-03-20 17:44:33 UTC
Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        claws-mail
crash_function: _cairo_polygon_intersect
executable:     /usr/bin/claws-mail
kernel:         3.13.5-202.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _cairo_polygon_intersect at cairo-polygon-intersect.c:1406
 #3 clip_and_composite_polygon at cairo-traps-compositor.c:1525
 #4 _cairo_traps_compositor_fill at cairo-traps-compositor.c:2262
 #5 _cairo_compositor_fill at cairo-compositor.c:203
 #6 _cairo_xlib_surface_fill at cairo-xlib-surface.c:1646
 #7 _cairo_surface_fill at cairo-surface.c:2305
 #8 _cairo_gstate_fill at cairo-gstate.c:1317
 #9 _cairo_default_context_fill at cairo-default-context.c:1055
 #10 cairo_fill at cairo.c:2203
 #11 murrine_draw_glaze at src/cairo-support.c:814

Comment 1 John L. Ries 2014-03-20 17:44:37 UTC
Created attachment 876954 [details]
File: backtrace

Comment 2 John L. Ries 2014-03-20 17:44:38 UTC
Created attachment 876955 [details]
File: cgroup

Comment 3 John L. Ries 2014-03-20 17:44:39 UTC
Created attachment 876956 [details]
File: core_backtrace

Comment 4 John L. Ries 2014-03-20 17:44:41 UTC
Created attachment 876957 [details]
File: dso_list

Comment 5 John L. Ries 2014-03-20 17:44:42 UTC
Created attachment 876958 [details]
File: environ

Comment 6 John L. Ries 2014-03-20 17:44:44 UTC
Created attachment 876959 [details]
File: exploitable

Comment 7 John L. Ries 2014-03-20 17:44:45 UTC
Created attachment 876960 [details]
File: limits

Comment 8 John L. Ries 2014-03-20 17:44:47 UTC
Created attachment 876961 [details]
File: maps

Comment 9 John L. Ries 2014-03-20 17:44:49 UTC
Created attachment 876962 [details]
File: open_fds

Comment 10 John L. Ries 2014-03-20 17:44:51 UTC
Created attachment 876963 [details]
File: proc_pid_status

Comment 11 John L. Ries 2014-03-20 17:44:52 UTC
Created attachment 876964 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-05-01 14:31:54 UTC
> #1  0x00000038b8e7ff6c in __GI___libc_malloc (bytes=6344) at malloc.c:2859
> #2  0x000000364ae59d1b in _cairo_polygon_intersect (a=a@entry=0x7fff71aadad0, winding_a=winding_a@entry=1, b=b@entry=0x7fff71aad6b0, winding_b=<optimized out>) at cairo-polygon-intersect.c:1406

Crash in memory management as a side-effect of earlier memory corruption. Likely fixed by the recent related bug-fixes upstream.

This will need retesting once a new version of Claws Mail (or Test Update) will be available.

[...]

Since you've not entered any details about reproducibility, there is nothing else that can be done about this crash.

Please note that a few key details are needed almost always (unless the backtrace points at exactly the place where it can be concluded what has gone wrong). Is the crash reproducible? And how? If it isn't, how often has it crashed?

Comment 13 Fedora Update System 2014-05-26 21:17:18 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:52 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:29 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:49:37 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:44 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:20 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:55:00 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:08 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:33:53 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:19 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.